Index: /trunk/SRC/ToBeReviewed/PLOTS/DESSINE/pltt.pro
===================================================================
--- /trunk/SRC/ToBeReviewed/PLOTS/DESSINE/pltt.pro	(revision 141)
+++ /trunk/SRC/ToBeReviewed/PLOTS/DESSINE/pltt.pro	(revision 142)
@@ -1,42 +1,28 @@
 ;------------------------------------------------------------
 ;+
-; NAME:
-;	PLTT
-;
-; PURPOSE:
-;	trace des graphes hovmoller
-;
-; CATEGORY:
-;       Graphics, trace des graphes hovmoller: xt,yt,zt,t
-;
-; CALLING SEQUENCE:
-;	pltt, champ,type [,min[, max[, datmin[, datmax]]]]
-;
-; INPUTS:
-;	champ: le champ dont on veut faire le hovmoller champ
-;	peut etre de 2 types:
-;	1) un tableu qui peut etre:
-;          * 3d ou 4d: la derniere composante etant le temps. dans ce
-;            cas, le tableau va passer dans grossemoyenne pour etre
-;            moyennee suivant et devenir un tableau 2d ou 1d.
-;          * 2d: si tableau est deja 2d, il n''est pas modifie
-;            (attention les terres doivent etre masquees a la valeure
-;            valmask) et type doit qd meme etre specifie pour qu''on
-;            sache de quel trace il sagit. Pour avoir une legende
-;            correcte, respecifier la zone d''extraction via BOXZOOM
-;          * 1d: uniquement pour les traces de type 't'. Type doit qd
-;            meme etre specifie pour qu''on sache de quel trace il
-;            sagit. Pour avoir une legende correcte, respecifier la zone
-;            d''extraction via BOXZOOM
-;       2) une structure repondant aux critaire specifies par
-;       litchamp.pro. cf. IDL> xhelp,'litchamp'. Le tableau contennu ds
-;       la structure repondant aux criteres du cas 1) cf. ci-dessus
-;
-;       TYPE: type de hovmoller que l''on veut faire:
-;             'xt','yt','zt','t'  
-;
-; ces arguments ne sont pas obligatoires:
+;
+; @file_comments 
+; Trace hovmoller graphs: xt,yt,zt,t
+;
+; @categories Graphics
+;
+; @param TAB {in}{required} 
+; The field whose we want to make the hovmoller map can be 2 kind of thing:
+;	1) An array which can be:
+;          * 3d or 4d: array  'xt','yt','zt','t'. The last component is the time. In this case, the array will 
+;            pass in grossemoyenne to be averaged and become an 1d or 2d array.
+;          * 2d: If the array is already 2d, it is not modified (beware, lands must 
+;            be masked at the value valmask) and nevertheless,type must be specified 
+;            to we know of which trace it is about.
+;            To have a correct caption, respecify the  xctraction zone via BOXZOOM.
+;          * 1d: only for traces of the 't' type. Nevertheless, type must be specified 
+;            to we know of which trace it is about.
+;            To have a correct caption, respecify the  xctraction zone via BOXZOOM.
+;       2) a structure respecting all criterions specified by litchamp.pro. 
+;          See IDL> xhelp,'litchamp'. The array contained in the structure 
+;          respecting criterions of case 1) 
 ;  
-;	MAX: valeur maximum que l''on veut prendre en compte dans le trace
+; PARAM:	
+;       MAX: valeur maximum que l''on veut prendre en compte dans le trace
 ; des contours. Par defaut on prend le max de tableau (sur les pts mer)
 ;
@@ -51,229 +37,137 @@
 ;       longinteger de la forme yyyymmdd (ou bien yymmdd)
 ;
-; KEYWORD PARAMETERS:
-;
-;	BOXZOOM:vecteur indiquant la zone geographique (3d) sur laquelle doit
-; etre fait l''extraction du champ pour faire le hovmoeller.
-; Si BOXZOOM a :
-; 1 element : l''extraction est faite sur [lon1, lon2, lat1, lat2, 0.,boxzoom[0]]
-; 2 elements: l''extraction est faite sur [lon1, lon2, lat1, lat2, boxzoom[0],boxzoom[1]]
-; 4 elements: l''extraction est faite sur [Boxzoom, vert1, vert2]
-; 5 elements: l''extraction est faite sur [Boxzoom[0:3], 0, Boxzoom[4]]
-; 6 elements: l''extraction est faite sur Boxzoom
-;
-; Ou lon1, lon2,lat1,lat2,vert1,vert2 sont les variables globales
-; definies lors du dernier domdef!
-;
-;      CB_TITLE: le titre de la colorbar
-;
-;      CB_SUBTITLE: le soustitre de la colorbar
-;
-;      CB_CHARSIZE: The character size of the color bar annotations
-;
-;        COAST_COLOR: the color of the coastline.
-;                     defaut value is 0 => black
-;
-;        COAST_THICK: the thickness of the coastline.
-;                     defaut value is 1
-;
-;        /CONT_NOFILL: activer pour ne pas remplir les points masques
-;        pour les laisser en transparent! 
-;        Rq: on trace qd meme le contour du mask
-;
-;        CONT_COLOR: the color of the continent. defaut value is
-;        (!d.n_colors - 1) < 255 => white
-;
-;	CONTINTERVALLE: lorsque CONTOUR est active, valeur d''un
-; intervalle entre deux isolignes traces par un trait. Il peut ainsi
-; etre different de celui specifie par INTERVALLE 
-; qui, cas ce cas, ne controle que les isolignes coloriees en
-; couleurs. Si aucun min n''est specifie, on choisit un contour min qui va
-; bien avec l''intervalle specifie!. Si ce mot cle n''est pas
-; specifie, on trace 20 isolignes du min au max. 
-;
-;	CONTLABEL: un entier n. lorsque CONTOUR est active, si n
-; different de 0, choisit le type de label correspondant aux cas n
-; pour les isolignes tracees par un trait. Pour specifier le type de
-; label du contour en couleur, utiliser LABEL
-;
-;	CONTMAX: lorsque CONTOUR est active, valeur maximum que l''on
-; veut prendre en compte dans le trace des isolignes traces par un
-; trait. Par defaut on prend le max (sur les pts mer)
-; du tableau passe ds le mot cle CONTOUR. 
-;
-;	CONTMIN: lorsque CONTOUR est active, valeur minimum que l''on
-; veut prendre en compte dans le trace des isolignes traces par un
-; trait. Par defaut on prend le max (sur les pts mer)
-; du tableau passe ds le mot cle CONTOUR. 
-;
-;	CONTNLEVEL: lorsque CONTOUR est active, nombre de contours
-; trace par un trait a dessiner (actif si
-; CONTLABEL=0) par defaut =20.
-;
-;	CONTOUR: si on veut tracer les contours d''un champ different que celui
-; que l''on dessin en couleur (par ex E-P en couleur et QSR en
-; contours). Doit etre un champ reponadnt aux meme caracteristiques
-; que l''argument numero 1 de pltt
-;
-;       ENDPOINTS: mot clef specifiant que l'on veut faire une coupe
-;       verticale en diagonale. les coordonnees des extremites de
-;       celle-ci sont alors definies les 4 elements du vecteur
-;       ENDPOINTS: [x1,y1,x2,y2] qui sont les coordonnees 
-;
-;       /EXCHANGE_XY: permet d''intervertir les axes.
+; @keyword BOXZOOM
+; Vector indicating the geographique zone (3d) on which the extraction of the field must 
+; be done to do the hovmoeller.
+;  If BOXZOOM has :
+; 1 element : The extraction is made on [lon1, lon2, lat1, lat2, 0.,boxzoom[0]]
+; 2 elements: The extraction is made on [lon1, lon2, lat1, lat2, boxzoom[0],boxzoom[1]]
+; 4 elements: The extraction is made on [Boxzoom, vert1, vert2]
+; 5 elements: The extraction is made on [Boxzoom[0:3], 0, Boxzoom[4]]
+; 6 elements: The extraction is made on Boxzoom
+;
+; Where lon1, lon2,lat1,lat2,vert1,vert2 are global variables defined at the last domdef!
+;
+; @keyword CONTINTERVALLE 
+; When CONTOUR is activated, it is the value between 2 isolines 
+; traced by a trait. So it can be different from the one specified by INTERVALLE which, 
+; in this case, does not control colored isolines in color anymore. If there is noone 
+; specified min, we choose a contour min which goes well with the specified interval! 
+; If this keyword is not specified, we trace 20 isolines from the min to the max. 
+;
+; @keyword CONTLABEL 
+; It is an integer n. When CONTOUR is actvated, if n
+; is different of 0, choose the label type corresponding to n cases for 
+; the traced by a traitisolines. To specify the type of label of the 
+; colored contour, use LABEL
+;
+; @keyword CONTMAX 
+; When CONTOUR is activated, max value we want to consider in the isoline 
+; traced by a trait's line. By default, we take the max (on ocean points) of the array 
+; passed in the keyword CONTOUR. 
+;
+; @keyword CONTMIN 
+; When CONTOUR is activated, min value we want to consider in the isoline 
+; traced by a trait's line. By default, we take the min (on ocean points) of the array 
+; passed in the keyword CONTOUR. 
+;
+; @keyword CONTNLEVEL 
+; When  CONTOUR is activated, it is the numbre of contours
+; traced by a trait for drawing (active if
+; CONTLABEL=0) by default=20.
+;
+; @keyword CONTOUR 
+; If we want to trace contours of a different field than the one 
+; whose we have the colored drawing (by examlpe E-P in color and QSR in contours). 
+; It must be a field respecting same caracteristics than the argument number one of pltt.
+;
+; @keyword ENDPOINTS 
+; keyword specifing that we want to make a vertical cut in diagonal. Then coorinated of extremities 
+; of these one are difined by the 4 elements of the vector ENDPOINTS: [x1,y1,x2,y2] which are 
+; coordinates. 
+;
+; @keyword EXCHANGE_XY
+; Allows to invert axes.
 ; 
-;       FILTER: applique une moyenne glissante de largeur FILTER
+; @keyword FILTER
+; Apply a slippery average of width FILTER
 ; 
-;	INTERVALLE: valeur d''un intervalle entre deux isolignes. Si
-; aucun min n''est specifie, on choisit un contour min qui va bien
-; avec l''intervalle specifie!. Si ce mot cle n''est pas specifie, on
-; trace 20 isolignes du min au max. Rq: Qd CONTOUR est active
-; INTERVALLE ne specifie que intervalle entre 2 isolignes coloriees en
-; couleur. Pour specifier l''intervalle entre 2 isolignes traces par un trait
-; utiliser CONTINTERVALLE.
-;
-;	/INV: inverse le vecteur couleur utilise pour colorier le graphe
-;             (sans toucher au noir, au blanc et a la palette utilisee)
+; @keyword INTERVALLE 
+; Value of an internal between to isoline. If there is none specified min, 
+; we choose a min contour which goes well with the specified interval!. If this keyword is not 
+; specified, we trace 20 isoline from the min to the max. Comment: When CONTOUR is activated, 
+; INTERVALLE only specify the interval between 2 colored isoline. To specify the interval 
+; between 2 isolines traced by a trait, use CONTINTERVALLE.
+;
+; @keyword INV 
+; Invert the color vector used to color the graph 
+;               (without use the black, the white and the used palette)
 ; 
-;	LABEL: un entier n. si n different de 0, choisit le type de
-; label correspondant aux cas n. cf label.pro
-; Rq: Qd CONTOUR est active, ne specifie le type de label que pour les
-; isolignes coloriees en couleur. Pour celles tracees par un trait
-; utiliser CONTLABEL. 
-;
-;	/LANDSCAPE: oblige la feuille ou le fenetre a l''ecran a etre
-;	en position "allongee".
-;	
-;       LCT: entier designant le numero de la palette de couleur que
-;       l''on veut utiliser pour le plot. 
-;	
-;       COL1d: --OBSOLETE--numero de la couleur qd on fait un trace 1d
-;       par defaut, 0. il faut mieux utiliser le mot cle COLOR utilise
-;       par plot
-;
-;       MAXIN: permet de specifier la valeur maximum que l''on veut
-;       prendre en compte dans le trace des contours a l''aide d''un
-;       mot cle plutot que par l''argument max. Si l''argument et le
-;       mot cle sont specifies en meme temps, c''est la valeur
-;       specifiee par le mot cle qui est retenue.
-;
-;       MININ: permet de specifier la valeur minimum que l''on veut
-;       prendre en compte dans le trace des contours a l''aide d''un
-;       mot cle plutot que par l''argument min. Si l''argument et le
-;       mot cle sont specifies en meme temps, c''est la valeur
-;       specifiee par le mot cle qui est retenue.
-;
-;	NLEVEL: nombre de contours a dessiner. par defaut =20. actif si
-; LABEL=0 ou n''est pas specifie.
-;
-;	CONTNLEVEL: nombre de contours a dessiner qd on utilise ajoutcontour
-; active par le mot cle CONTOUR.(actif si CONTLABEL=0) par defaut =20.
-;
-;	/NOCOLORBAR: activer si on ne veut pas de colorbar
-;
-;	/NOCONTOUR: activer si on ne veut pas de contour mais juste
-;	les couleurs
-;
-;	/NOFILL: activer si on veut juste les contours en noir et
-;	blanc sur fond blanc
-;
-;       /NOERASE: activer pour faire un dessin a l''ecran sans creer
-; une nouvelle fenetre. Rq: activer ds le cas d''un Postscript de
-; plusieurs traces de type 't' pour ne pas faire un Postscript de
-; plusieurs pages 
-;
-;       /OV1D:permet de surimprimer un courbe 1d a un precedent trace 1d.
-;
-;       OVERPLOT: pour faire un pltt par dessus un autre. Rq:
-;       contrairemnet a l''utilisation de CONTOUR,
-;       l''utilisation de ce mot clef ne modifie pas la legende ou/et
-;       la barre de couleur. dans le cas d''un plot 1d, contrairement
-;       a ov1d, on peut changer les axes et les ranges.
-;
-;	PETITDESSIN: vecteur de 3 ou 4 elements, applique pour faire un
-; dessin sur une petite portion de feuille ou d''ecran. il delimite
-; la zone ds laquelle va etre fait le dessin
-; si il a 4 elements:
-;       il est alors constitute des coordonnees -exprime en cm reperes par
-;       rapport au coin en bas a gauche de la feuille ou de la fenetre
-;       (en portrait comme en landscape)- du coin en bas a
-;       gauche et du coin en haut a droite  de la zone de dessin.
-; si il a 3 elements:
-;       Ds ce cas, on divise la fenetre ou l''ecran en PETITDESSIN[0]
-;       colonnes, en PETITDESSIN[1] lignes le dessin se faisant ds la
-;       case numero PETITDESSIN[2].La numerotation commencant en haut
-;       a gauche par le numero 1 et suivant apres dans le sens de
-;       l''ecriture.
-; Par defaut on fait un dessin occupant la plus grande place possible
-; tout en concervant le rapport d''aspect (sauf qd REMPLI est active)
-;
-;	/PORTRAIT: oblige la feuille ou la fenetre a etre en position "debout".
-;
-;	/POST: faire une sortie postscript. Ne marche que si on fait
-;	un seul dessin sur la feuille. Si on fait plusieurs dessins,
-;	utiliser @ps ou plein2dessins
-;
-;       REPEAT_C=n pour repeter une serie temporelle n fois
-;
-;	/REMPLI:oblige le dessin a occuper l''espace maximum definit
-;	par petitdessin
-;
-;       /REVERSE_X: pour inverser l''axe des x (et aussi le dessin)
-;
-;       /REVERSE_Y: pour inverser l''axe des y (et aussi le dessin)
-;
-;       /STRICTFILL: activer ce mot clef pour que le remplissage des
-;       contours ce fasse precisement entre le min et le max specifie
-;       en laissant en banc les valeurs inferieurs au min specifie et
-;       superieurs au max specifie.
-;
-;	STYLE: style de tracer a adopter pour dessiner les isolignes par
-; defaut style=0. cf style.pro
-;
-;       STY1D: --OBSOLETE--numero du style utilise lors d''un trace
-;       1d. Il faut mieux utiliser le mot cle LINESTYLE qui est celui
-;       de plot. Attention ce mot cle est encore utile si on veut
-;       faire des barres plutot qu''une courbe, mettre sty1d='bar'
-;
-;	/TRANS: fait un postscript (active /post automatiquement) et l''imprime
-; -si on le desire- sur un transparant
-;
-;        TREND_TYPE: modify data by calling trends.pro
-;
-;        TYPEIN: permet de specifier la valeur type de hovmoller que
-;        l''on veut faire:
+; @keyword LABEL 
+; It is an integer n. If n different of 0, it choose the label's type 
+; corresponding to cases n. cf label.pro
+; Comment: When CONTOUR is activated, it only specify the label's type for colored isolines. 
+; For tese one traced by a trait, use CONTLABEL. 
+;
+; @keyword COL1d
+; --OBSOLETE--Color number when we make a trace 1d by default, 0.It is better to use the 
+; keyword COLOR used by plot.
+;
+; @keyword MAXIN 
+; Allows to specify the max value we want to consider in the drawing of contour 
+; helping by the keyword instead of the argument max. If the argument and the keyword are 
+; specified in the same time, it is the value specified by the keyword which is retained.
+;
+; @keyword MININ 
+; Allows to specify the min value we want to consider in the drawing of contour 
+; helping by the keyword instead of the argument min. If the argument and the keyword are 
+; specified in the same time, it is the value specified by the keyword which is retained.
+;
+; @keyword NLEVEL 
+; Number of contour to draw by default =20. active if
+; LABEL=0 or is not specified.
+;
+; @keyword CONTNLEVEL 
+; When  CONTOUR is activated, it is the numbre of contours
+; traced by a trait for drawing (active if
+; CONTLABEL=0) by default=20.
+;
+; @keyword OV1D 
+; Allows to overprint a 1d curve over a precedent 1d drawing.
+;
+; @keyword OVERPLOT 
+; To make a plot over an other one. 
+; Comment: Contrarily to the use of CONTOUR or VECTEUR, the use of this keyword 
+; does not the caption and/or the color bar.
+;
+; @keyword STRICTFILL 
+; Activate this keyword to that the filling of contours be 
+; precisely done between the min and the max specified letting values inferior at the 
+; specified min and values superior at the specified max in white.
+;
+; @keyword STYLE 
+; Contour's style to adopt to draw isolines(by default, style=0. see style.pro)
+;
+; @keyword STY1D 
+; --OBSOLETE--
+; Number of the style used when we make a 1d drawing. We should better use the 
+; keyword LINESTYLE which is tho one of the plot. Beware, this keyword is still 
+; useful if we want to d bars instead of curves, put sty1d='bar'
+;
+; @keyword TREND_TYPE
+; Modify field by calling trends.pro
+;
+; @keyword TYPEIN
+; allows to specify the type of hovmoller we want to do
 ;             'xt','yt','zt','t'  
-;       a l''aide d''un mot cle plutot que par l''argument type Si
-;       l''argument et le mot cle sont specifies en meme temps, c''est
-;       la valeur specifiee par le mot cle qui est retenue.
-;
-;       /USETRI: pour forcer a utiliser de triangulation.
-;
-;        UNLABSUR: entier n. specifant qu''on ne labelle qu''un
-;        contour sur n. Par defaut unlabsur=2
-;
-;	/UNSUR2: si on veut tracer un countour sur deux. par  defaut trace
-; tous les contours
-;
-;	WINDOW: nimero de la fenetre ou l''on veut faire le graphe (permet
-; d'ouvrir plusieurs fenetres). par defaut on ouvre 'IDL0'
-;
-;	YXASPECT: rapport d'echelle entre y et x. Par defaut=1
-; Par defaut on adapte pour occupe une grande partie de la feuille en sortie
-; postScript ou pour cree une fenetre pas trop etiree
-;
-;       /ZEROMIDDLE: fo force the middle of the colorbar to be equal
-;       to 0 (force max=max(abs([min,max])) and min=-max)
-;
-; COMMON BLOCKS:
-;	common.pro
-;
-; SIDE EFFECTS:
-;
-; RESTRICTIONS:
-;
-; EXAMPLE:
-;
-; MODIFICATION HISTORY: Sebastien Masson (smasson@lodyc.jussieu.fr)
+; with help of a keyword rather than the argument type. If the argument andthe 
+; keyword are specified in the same time, it is the value specified by the 
+; keyword which is retained.
+;
+; @uses
+; common.pro
+;
+; @history 
+; Sebastien Masson (smasson@lodyc.jussieu.fr)
 ;			27/5/98
 ;                       Jerome Vialard (adapting plt to hovmoller drawing)
@@ -281,6 +175,5 @@
 ;                       Sebastien Masson 14/8/98 (continents,barres)
 ;                       15/1/98
-; adaptation pour les tableaux 3 et 4d pour que la moyenne soit faite
-; dans pltt plutot que lors de la lecture.
+; Adaptation for arrays 3 and 4d to the average be done in pltt rather than during the reading.
 ;                       Sebastien Masson 14/8/98 
 ;                       7/1999 
@@ -289,4 +182,9 @@
 ;                       Sebastien Masson 08/02/2000 checkfield and
 ;                       usetri keyword.
+; 
+; @version 
+; $Id$
+;
+; @todo seb: L.24 à 36, L.426 à 427, L. 492 à 493
 ;-
 ;------------------------------------------------------------
@@ -318,13 +216,13 @@
 ;--------------------------------------------------------------
 ;------------------------------------------------------------
-   tempsun = systime(1)         ; pour key_performance
-;--------------------------------------------------------------
-; I2) reinitialisation. !p.,!x.,!y.
-; Rq: on ne reinitialise pas qd on rapelle plt en boucle pour utiliser contour
+   tempsun = systime(1)         ; For key_performance
+;--------------------------------------------------------------
+; I2) reinitialization. !p.,!x.,!y.
+; Comment: we do not reinitializate when we call back plt in loop to use contour.
 ;--------------------------------------------------------------
    if n_elements(contour) ne 4 AND NOT keyword_set(overplot) $
     AND NOT keyword_set(ov1d) then reinitplt
 ;--------------------------------------------------------------
-; I1) lecture du champ
+; I1) Reading of the field.
 ;--------------------------------------------------------------
    if (keyword_set(boxzoom) OR keyword_set(endpoints)) $
@@ -371,5 +269,5 @@
    ENDELSE
 ;---------------------------------------------------------------
-; calcul de tendance/anomaly suivant TREND_TYPE
+; Calculation of trend/anomaly following TREND_TYPE
 ;---------------------------------------------------------------
 
@@ -379,5 +277,5 @@
 
 ;---------------------------------------------------------------
-; filtrage des donnee dans le cas 't' 
+; Filtering of fields in the 't' case. 
 ;---------------------------------------------------------------
 
@@ -390,5 +288,5 @@
 
 ;---------------------------------------------------------------
-; repetition de la serie temporelle
+; Repetition of the temporal series
 ;---------------------------------------------------------------
 
@@ -410,5 +308,5 @@
 
 ;---------------------------------------------------------------
-; selection du type de graphique. 
+; Selection of graphic's type. 
 ;---------------------------------------------------------------
    taille=size(z2d)
@@ -427,12 +325,12 @@
             !x.range=!x.range-tempsmin
             !x.tickv=!x.tickv-tempsmin
-; on fait un faux plot pour appliquer ces changements!
+; We do a false plot to apply these changes!
             plot,[0], [0],/noerase,xstyle=5, ystyle = 5, title = '', subtitle = '', ytitle = '', xtitle = ''
             goto, trace1d
          endif
       end
-   endcase
-; on construit le mask pour cela le tableau doit etre masque (fait
-; automatiquement a la valeur valmask si on passe ds moyenne ou grossemoyenne)
+  endcase
+; We build the mask. For that, the table must be masked (automaticaly done at the 
+; value valmask if we pass in moyenne or grossemoyenne)
    nan = total(finite(z2d,/nan)) < 1
    if n_elements(valmask) EQ 0 then valmask = 1e20
@@ -447,9 +345,9 @@
 ;    min: min pour le dessin.
 ;-----------------------------------------------------------------------------
-; faudra-t-il faire un autoscale ???
+; Do we need to do an autoscale ???
    autoscale = testvar(var = min) EQ testvar(var = max) AND NOT keyword_set(intervalle)
    determineminmax, z2d, mask, mi, ma, MININ = min, MAXIN = max, nan = nan, INTERVALLE = intervalle, _extra = ex
    if z2d[0] EQ -1 THEN return
-; on fait un autoscale si besoin
+; We do an autoscale if needed.
    if autoscale then autoscale, min, max, intervalle
 ;-----------------------------------------------------------------------------
@@ -459,17 +357,17 @@
 ;--------------------------------------------------------------
 ;--------------------------------------------------------------
-; 2eme partie: dessin
+; 2nd part: drawing
 ;--------------------------------------------------------------
 ;-----------------------------------------------------------
-;   definition des axes
+;   definition of axis
 ;----------------------------------------------------------
 ;-----------------------------------------------------------------------------
-; definition des vecteurs abscisse et ordonee
-; la triangulation est definie pour que le trace soit effectue du bas
-; a gauche vers le haut a droite. il faut donc la matrice e contourer
-; se presente de cette maniere, d''ou certains transpose et reverse
-;-----------------------------------------------------------------------------
-;-----------------------------------------------------------------------------
-; definition des bornes de l''axe temporel
+; definition of the abscisse and ordinate vectors.
+; The triangulation is defined in order to the drawing be done from the 
+; left bottom to the right up. So the matrix have to be shown like this, 
+; from which some transpose and reverse
+;-----------------------------------------------------------------------------
+;-----------------------------------------------------------------------------
+; definition of limits of the temporal axis
 ;-----------------------------------------------------------------------------
    case N_PARAMS() OF
@@ -533,5 +431,5 @@
 ;------------------------------------------------------------
 ;------------------------------------------------------------
-; dessin
+; drawing
 ;------------------------------------------------------------
 ; 2d
@@ -539,5 +437,5 @@
    if (typdes eq '2d') then begin
 ;--------------------------------------------------------------
-; choix des labels
+; choice of labels
 ;-----------------------------------------------------------
       if keyword_set(intervalle) AND NOT keyword_set(label) then label=1
@@ -546,5 +444,5 @@
              , INTERVALLE = intervalle, strictfill = strictfill
 ;--------------------------------------------------------------
-; choix de style
+; choice of style
 ;-----------------------------------------------------------
       if not keyword_set(style) then style=0
@@ -556,5 +454,5 @@
 ;
       if keyword_set(nan) then BEGIN
-;         xx = xx#replicate(1, nby) ; on passe les axes en tableaux 2d
+;         xx = xx#replicate(1, nby) ; We make a 2d array with axes
 ;         yy = replicate(1, nbx)#yy
          masknan = finite(z2d)
@@ -575,6 +473,6 @@
        , coinmontemask=coinmontemask, coindescendmask=coindescendmask, _extra = ex
 ;------------------------------------------------------------
-      if n_elements(contour) eq 4 then BEGIN ; c''est la 2eme fois que je passe ds pltt
-         contour = {mietma:[mi, ma], unit:varunit, inter:intervalle} ; je renvoie le min, le max et l''unite
+      if n_elements(contour) eq 4 then BEGIN ; it is the second time I pass in pltt
+         contour = {mietma:[mi, ma], unit:varunit, inter:intervalle} ; I send back the min, the max and the unity
          return
       endif
@@ -594,5 +492,5 @@
       if keyword_set(overplot) then GOTO, fini
 ;------------------------------------------------------------
-; Trace de la ligne de changement de date or the equator
+; Trace the line of change of date and the equator.
 ;------------------------------------------------------------
       IF key_onearth THEN BEGIN
@@ -604,5 +502,5 @@
       ENDIF
 ;------------------------------------------------------------
-; legendes + affichage de celles-ci
+;  caption + display of these.
 ;------------------------------------------------------------
       legende,mi,ma,type, CONTOUR = pourlegende, DIREC = direc, INTERVALLE = intervalle $
@@ -641,5 +539,5 @@
       if keyword_set(endpoints) then addaxe, endpoints, type, posfenetre, _EXTRA = ex
 ;------------------------------------------------------------
-; barre de couleur
+; color bar
 ;------------------------------------------------------------
       colnumb = colnumb[0:ncontour-1-keyword_set(strictfill)]
@@ -654,5 +552,5 @@
    if (typdes eq '1d') then begin
       if (not keyword_set(col1d)) then col1d = 0
-      if keyword_set(sty1d) then BEGIN ;si on veut faire des barres
+      if keyword_set(sty1d) then BEGIN ;if we want to make bars
          IF strlowcase(strtrim(sty1d)) EQ 'bar' then begin
             !y.range = [!y.range[0]-(!y.range[1]-!y.range[0])*.05,!y.range[1]] 
@@ -661,5 +559,5 @@
              colors    = replicate(col1d, n_elements(yy)), /outline
             if n_elements(ex) NE 0 then BEGIN 
-; pour avoir un cadre de la couleur noire
+; To have a black frame
               if (where(tag_names(ex) EQ 'COLOR'))[0] NE -1 then ex.COLOR = 0
             ENDIF
@@ -691,5 +589,5 @@
 ; => so we draw the top axis by hand using axis.
          if n_elements(ex) NE 0 then BEGIN 
-; pour avoir un cadre de la couleur noire
+; To have a black frame
             if (where(tag_names(ex) EQ 'COLOR'))[0] NE -1 then ex.COLOR = 0
          ENDIF
@@ -711,6 +609,5 @@
 fini:
 ;------------------------------------------------------------
-; on remet l''axe du temps en jours julien IDL et non pas en jours
-; juliens comptes a partir tempsmin 
+; we reput time axis in IDL julian days and not in julian days count from tempsmin 
 ;------------------------------------------------------------
    if type EQ 'xt' then BEGIN 
@@ -721,11 +618,10 @@
       !x.tickv=!x.tickv+tempsmin
    ENDELSE
-; on fait un faut plot pour que ces valeurs soient prises en
-; consideration
+; We do a false plot to these values are considerated
    plot, [0], [0], /nodata, /noerase, xstyle = 5, ystyle = 5 $
      , title = '', subtitle = '', ytitle = '', xtitle = ''
 ;------------------------------------------------------------
 ;------------------------------------------------------------
-; 3eme partie: impression eventuelle
+; 3rd part: possible print
 ;------------------------------------------------------------
 ;------------------------------------------------------------
